Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/shopify/imports

List Shopify Imports

Lists the most recent Shopify import jobs for a project.

GETPOST

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requires an authenticated storefront session.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "requested_by_user_id": 1,
  "store_domain": "string",
  "api_version": "string",
  "status": "active",
  "options": {},
  "counts": {},
  "log": [],
  "error": "string",
  "started_at": "2026-01-01T00:00:00Z",
  "finished_at": "2026-01-01T00:00:00Z",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified